using Microsoft.VisualStudio.TestTools.UnitTesting;
using XamFormsUnitTesting;

namespace UnitTestCore
{
    [TestClass]
    public class ReverseServiceTests
    {
        [TestMethod]
        public void Should_Reverse_Word()
        {
            // Arrange (przygotuj)
            string word = "ABC";
            string reversedWord = "CBA";
            ReverseService reverseService = new ReverseService();

            // Act (wykonaj)
            string result = reverseService.ReverseWord(word);

            // Assert (sprawdź)
            Assert.AreEqual(result, reversedWord);
        }
    }
}
